s9_level_hints.levels["Level 7"] = function()
	return
	{
		miniscenes
		({
			level07_02_miniscene_code = 
			{
				IF(state("Magnifier", "magnifier02"), miniscene("Magnifier")),
				
			},
			level07_Scene07_01 = 
			{
				end_level("area_door"),
				end_level("Door01"),
			},
			level07_Scene07_02 = 
			{
				end_level("Door")
			},
			level07_01_miniscene_bush = 
			{
				on_scene("level07_Scene07_01",
				{
					miniscene("bush01"),
					miniscene("bush02"),
					miniscene("bush03")
				}),
			},
			level07_01_miniscene_box = 
			{
				on_scene("level07_Scene07_01",
				{
					IF(NOT(on_level("dog_clip")), miniscene("area_box02"))
				}),
			},
			level07_01_miniscene_trunk = 
			{
				on_scene("level07_Scene07_01",
				{
					miniscene("Trunk02")
				}),
			},
			
			level07_02_miniscene_key = 
			{
				on_scene("level07_Scene07_02",
				{
					IF(state("Key", "key02"), miniscene("area_hole"))
				}),
			},
			level07_02_miniscene_trunk = 
			{
				on_scene("level07_Scene07_02",
				{
					IF(state("Trunk", "trunk02"), miniscene("Trunk"))
				}),
			},
			level07_02_miniscene_gem = 
			{
				on_scene("level07_Scene07_02",
				{
					IF(state("Box", "box01"), click("Box")),
					IF(state("Box", "box02"), miniscene("area_panel"))
				}),
			},
		}),
		on_scene("level07_01_miniscene_bush",
		{
			take("Box_of_matches")
		}),
		IF(on_level("Match"), minigame("area_garbage")),
		on_scene("level07_Scene07_02",
		{
			click("Candle", "Match_with_burn"),
			take("Bone")
		}),
		on_scene("level07_Scene07_01",
		{
			click("area_dog", "Bone"),
		}),

		on_scene("level07_01_miniscene_box",
		{
			take("Torch"),
		}),
		on_scene("level07_Scene07_01",
		{
			take("Gem02", "Hollow"),
		}),
		on_scene("level07_Scene07_02",
		{
			IF(state("Sphere", "sphere01"),click("Sphere")),
			take("Hammer"),
			click("Sphere", "Hammer"),
			take("Gem04"),
			take("Spade"),
		}),		
		on_scene("level07_Scene07_01",
		{
			click("area_ground", "Spade"),
		}),		
		on_scene("level07_Scene07_02",
		{
			IF(state("Key", "key01"), click("Key"))
		}),		
		on_scene("level07_01_miniscene_box",
		{
			take("Magnet"),
		}),
		on_scene("level07_02_miniscene_key",
		{
			click("Key_in_hole", "Magnet")
		}),
		on_scene("level07_01_miniscene_trunk",
		{
			click("Key_in_hole", "trunk_mini01"), click("area_trunk01", "Key"),
			take("Gem03")
		}),
		on_scene("level07_Scene07_02",
		{
			take("Magnifier01"),
			IF(state("Code", "code01"), click("Code", "Magnifier01")),
			IF(state("Trunk", "trunk01"),
				{
					IF(NOT(scene("level07_02_miniscene_code")), miniscene("Magnifier")), --, state("Magnifier", "magnifier02")}
					minigame("Trunk")
				}
			)
			
		}),	
		on_scene("level07_02_miniscene_trunk",
		{
			take("Gem01"),
			
		}),	
		on_scene("level07_Scene07_02",
		{
			click("Cobble01"),
			click("Cobble02"),
			click("Cobble03"),
			click("Cobble04"),
			click("Cobble05"),
			IF(state("Stretcher", "stretcher01"), click("area_stretcher")),
			take("Handcuffs"),
			click("area_handle", "Handcuffs")
			
		}),
		
		on_scene("level07_02_miniscene_gem",
		{
			click("area_gem01", "Gem01"),
			click("area_gem02", "Gem02"),
			click("area_gem03", "Gem03"),
			click("area_gem04", "Gem04"),
		}),				
		IF(state("Basement", "basement01"), minigame("area_panel")),
		IF(state("Basement", "basement02"), minigame("area_panel")),		
		on_scene("level07_Scene07_01",
		{
			take("Oiler"),
		}),		
		on_scene("level07_Scene07_02",
		{
			click("area_hatch", "Oiler"),
		}),		

		IF(state("Basement", "basement03"), click("area_handcuffs")),
		take("Battery"),
		IF(in_inv("Torch_with_light"), end_level("Bulkhead")),
		IF(state("Candle","candle03"), end_level("Bulkhead")),

		
	}	
end
